Bug 1503669 (CVE-2017-10286) - CVE-2017-10286 mysql: Server: InnoDB unspecified vulnerability (CPU Oct 2017)
Summary: CVE-2017-10286 mysql: Server: InnoDB unspecified vulnerability (CPU Oct 2017)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-10286
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1503701 1503703 1505111 1505112 1505113 1505114 1509999 1510000 1514143 1514144
Blocks: 1503691
TreeView+ depends on / blocked
 
Reported: 2017-10-18 14:26 UTC by Adam Mariš
Modified: 2019-09-29 14:24 UTC (History)
25 users (show)

Fixed In Version: mysql 5.6.38, mysql 5.7.20, mariadb 10.2.8, mariadb 10.1.26, mariadb 10.0.32, mariadb 5.5.58
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-21 15:10:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3265 normal SHIPPED_LIVE Important: rh-mysql56-mysql security update 2017-11-27 23:42:33 UTC
Red Hat Product Errata RHSA-2017:3442 normal SHIPPED_LIVE Important: rh-mysql57-mysql security update 2017-12-12 18:32:34 UTC
Red Hat Product Errata RHSA-2018:0279 normal SHIPPED_LIVE Moderate: rh-mariadb100-mariadb security update 2018-02-06 18:00:11 UTC
Red Hat Product Errata RHSA-2018:0574 None None None 2018-03-21 14:07:43 UTC

Description Adam Mariš 2017-10-18 14:26:49 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: InnoDB). Supported versions that are affected are 5.6.37 and earlier and  5.7.19 and earlier. Difficult to exploit vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 

External References:

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html#AppendixMSQL

Comment 1 Adam Mariš 2017-10-18 14:54:16 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1503703]

Comment 2 Adam Mariš 2017-10-18 14:54:31 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1503701]

Comment 6 Tomas Hoger 2017-10-27 19:53:00 UTC
rh-mariadb102-mariadb packages in Red Hat Software Collections were first released using upstream version 10.2.8, which already includes the fix for this issue.

Comment 9 errata-xmlrpc 2017-11-27 18:44:14 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2017:3265 https://access.redhat.com/errata/RHSA-2017:3265

Comment 10 errata-xmlrpc 2017-12-12 13:35:44 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2017:3442 https://access.redhat.com/errata/RHSA-2017:3442

Comment 11 errata-xmlrpc 2018-02-06 11:03:04 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0279 https://access.redhat.com/errata/RHSA-2018:0279

Comment 12 errata-xmlrpc 2018-03-21 14:07:31 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0574 https://access.redhat.com/errata/RHSA-2018:0574


Note You need to log in before you can comment on or make changes to this bug.